import request from '../utils/request'

// 封装所有的API接口

export function loginCall(params) {
    return request({
        url: 'login_in.do',
        method: 'get',
        params: params,
    })
}
export function bindWX(params) {
    return request({
        url: 'bindLeaderWx.do',
        method: 'get',
        params: params,
    })
}
export function unbind(params) {
    return request({
        url: 'user/unbound_weixin.do',
        method: 'get',
        params: params,
    })
}
export function activityListCall(params) {

    return request({
        url: 'leaderhome/me/live/article.do',
        method: 'get',
        params: params,
    })
}
export function teamListCall(params) {

    return request({
        url: 'leaderhome/team/simple_list2.do',
        method: 'get',
        params: params,
    })
}
export function ossPolicyCall(params) {

    return request({
        url: 'oss/policy.do',
        method: 'get',
        params: params,
    })
}
export function ossPolicyMoreCall(params) {

    return request({
        url: 'oss/policy_more.do',
        method: 'get',
        params: params,
    })
}

export function picListCall(data) {
    return request({
        url: 'v2/leaderhome/pic/list.do',
        method: 'post',
        headers: {
            'Content-Type': 'application/json'
        },
        data: data,
    })
}

export function addPicCall(data) {
    return request({
        url: 'v2/leaderhome/pic/add.do',
        method: 'post',
        headers: {
            'Content-Type': 'application/json'
        },
        data: data,
    })
}

export function delPicCall(params) {
    return request({
        url: 'oss/delete.do',
        method: 'get',
        params: params,
    })
}



export function getUploadNum(data) {
    return request({
        url: 'v2/leaderhome/pic/countByStatus.do',
        headers: {
            'Content-Type': 'application/json'
        },
        method: 'post',
        data: data
    })
}

export function addUploadList(data) {
    return request({
        url: 'v2/leaderhome/pic/addUploadRecordList.do',
        headers: {
            'Content-Type': 'application/json'
        },
        method: 'post',
        data: data
    })
}
export function getUploadList(params) {
    return request({
        url: 'v2/leaderhome/pic/uploadRecordList.do',
        method: 'get',
        params: params
    })
}
export function uploadVideolist(params) {
    return request({
        url: 'vod/auth.do',
        method: 'get',
        params: params
    })
}
export function videoListCall(data) {
    return request({
        url: 'article/video/list.do',
        method: 'post',
        data: data,
    })
}

export function catListCall(params = {}) {
    return request({
        url: 'article/video/cat/list.do',
        method: 'post',
        params: params,
    })
}


export function addVideoCall(data) {
    return request({
        url: 'article/video/insertVideo.do',
        method: 'post',
        data: data,
    })
}




