import Vue from 'vue'
import VueRouter from 'vue-router'
import Login from '@/views/login.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    redirect: { name: 'login' }
  },
  {
    path: '/login',
    name: 'login',
    component: Login
  },
  {
    path: '/leadTeam',
    name: 'leadTeam',
    meta: { title: '活动执行' },
    component: () => import(/* webpackChunkName: "about" */ '@/views/leadTeam.vue')
  }, {
    path: '/activityPhoto',
    name: 'activityPhoto',
    meta: { title: '活动资料' },
    component: () => import(/* webpackChunkName: "about" */ '@/views/activityPhoto.vue')
  }, {
    path: '/video',
    name: 'video',
    meta: { title: '活动视频' },
    component: () => import(/* webpackChunkName: "about" */ '@/views/video.vue')
  },
  {
    path: '/uploadRecord',
    name: 'uploadRecord',
    meta: { title: '上传记录' },
    component: () => import(/* webpackChunkName: "about" */ '@/views/uploadRecord.vue')
  },
]


const router = new VueRouter({
  mode: 'hash',
  base: process.env.BASE_URL,
  routes
})

export default router
