import axios from "axios"; //原生的axios
import { Dialog, ImagePreview } from "vant";
import router from "@/router";

//用来拦截用的
axios.defaults.headers.post["Content-Type"] = "application/json;charset=utf-8";
//创建一个单例
const http = axios.create({
  baseURL: process.env.VUE_APP_BASE_URL,
  timeout: 600000, //响应时间
  // headers:{"Content-Type":"application/json;charset=utf-8"},
});

//拦截器  -请求拦截
http.interceptors.request.use(
  (config) => {
    //部分接口需要token
    let token = localStorage.getItem("token");
    if (token) {
      config.headers.token = token;
      // config.headers ={
      // 'token':token
      // }
    }
    // 0-宝贝小程序 1-挑战家族小程序 2-领队小程序 3-宝贝h5 4-领队H5
    config.params = {
      ...config.params,
      platform: 4,
    };
    return config;
  },
  (err) => {
    return Promise.reject(err);
  }
);

//拦截器  -响应拦截
http.interceptors.response.use(
  (res) => {
    if (res.status == 200) {
      if (res.data.code == 0) {
        if (res.data) {
          return Promise.resolve(res.data);
        } else {
          return Promise.resolve("");
        }
      } else if (res.data.code == 1004) {
        Dialog.alert({
          message: res.data.reason,
        }).then(() => {
          router.replace({
            name: "login",
            // query: {redirect: router.currentRoute.fullPath} //登录后再跳回此页面时要做的配置
          });
        });
      } else {
        return Promise.reject(res.data);
      }
    }
  },
  (err) => {
    console.log(err, "err");
    return Promise.reject({ code: -1, reason: err.message });
  }
);

//整体导出
export default http;
