// 根据起止时间返回时间列表
export default {
  appid: process.env.VUE_APP_BASE_URL === "https://api.bbztx.com/" ? "wx96121ed73dbb710b" : "wxa1e22e01f868df63",
  global: {
    _API_: "https://img.bbztx.com/",
  },
  formatMonth(begin, end) {
    let that = this;
    var arr = [],
      unixDb = begin - 24 * 60 * 60 * 1000,
      unixDe = end - 24 * 60 * 60 * 1000;
    for (var k = unixDb; k <= unixDe; ) {
      k = k + 24 * 60 * 60 * 1000;
      var time = {
        text: that.formatDate(that.formatTime(k), "yyyy-MM-dd", false),
        date: that.formatDate(that.formatTime(k), "yyyyMMdd", false), //用作文件名拼接
        value: that.formatDate(that.formatTime(k), "MM月dd日", false),
        active: that.getNowFormatDate("yyyy-MM-dd") == that.formatDate(that.formatTime(k), "yyyy-MM-dd", false) ? 1 : 0,
      };
      arr.push(time);
    }
    return arr;
  },
  getNowFormatDate(format) {
    format = format || "yyyy-MM-dd";
    return this.formatDate(this.formatTime(new Date().getTime()), format, false);
  },
  formatTime(inputTime) {
    var date = new Date(inputTime);
    var y = date.getFullYear();
    var m = date.getMonth() + 1;
    m = m < 10 ? "0" + m : m;
    var d = date.getDate();
    d = d < 10 ? "0" + d : d;
    var h = date.getHours();
    h = h < 10 ? "0" + h : h;
    var minute = date.getMinutes();
    var second = date.getSeconds();
    minute = minute < 10 ? "0" + minute : minute;
    second = second < 10 ? "0" + second : second;
    return y + "-" + m + "-" + d + " " + h + ":" + minute + ":" + second;
  },
  formatDate(date, format, isFormat) {
    isFormat = isFormat != undefined ? isFormat : true;
    date = new Date(date.toString().replace(/-/g, "/"));
    var format = format || "yyyy-MM-dd hh:mm:ss",
      o = {
        "M+": date.getMonth() + 1,
        "d+": date.getDate(),
        "h+": date.getHours(),
        "m+": date.getMinutes(),
        "s+": date.getSeconds(),
        "q+": Math.floor((date.getMonth() + 3) / 3),
        S: date.getMilliseconds(),
      };

    if (/(y+)/.test(format)) {
      format = format.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
    }
    for (var k in o) {
      if (new RegExp("(" + k + ")").test(format)) {
        format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
      }
    }
    if (isFormat) {
      return new Date(format.replace(/-/g, "/"));
    } else {
      return format;
    }
  },
  // 保留小数点后二位，不四舍五入
  formattedNumber(num) {
    const numStr = num.toString();
    const decimalIndex = numStr.indexOf(".");
    if (decimalIndex !== -1) {
      // 截取小数点后一位
      return numStr.slice(0, decimalIndex + 3);
    } else {
      // 如果是整数，直接返回
      return numStr;
    }
  },
  // 时间排序
  // property是你需要排序传入的key,bol为asc时是升序，false为降序
  dateData(property, bol) {
    return function (a, b) {
      var value1 = a[property];
      var value2 = b[property];
      if (bol == "asc") {
        // 升序
        return Date.parse(value1) - Date.parse(value2);
      } else {
        // 降序
        return Date.parse(value2) - Date.parse(value1);
      }
    };
  },
};
